package net.sf.xanswer.indexing;

import java.io.InputStream;

/**
 * This interface marks componets that can load data.
 */
public interface BulkLoader {
    /**
     * Loads and saves input stream.
     * @param input Stream to load
     * @return doc Id of the new document
     */
    public String load(InputStream input) throws IndexException;

    /**
     * Loads and saves input stream with predefined doc id
     * @param input Stream to load
     */
    public void load(String docId, InputStream input) throws IndexException;

}
